// *****************************************************************************
// * IBM MQSeries Workflow XML Sample Scenario                                 *
// *****************************************************************************
//
//  Licensed Materials - Property of IBM
//  5697-FM3 5655-A96
//  (C) Copyright IBM Corp. 1999-2000
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
// *****************************************************************************
// *****************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
// *****************************************************************************
package com.ibm.workflow.upes;

import java.lang.String;
/**
 * The <b>WfXMLValueConverter</b> class is convertion class.
 * It provides a static method to transform an XML boolean into a java boolean value.
 * @version 1.0
 */
class WfXMLValueConverter
{
/************************************************************
 * 
 * @parameters value A String representation of an XML boolean value as defined 
 * by MQSeries Workflow.
 * @return <b>true</b>, if <code>value</code> was '1' or 'true' (not case sensitiv)
 * <p>false, otherwise
 * 
 ***********************************************************/
   static boolean FromXMLBool(String value)
   {
	  boolean result  = false;
	  if (value != null && (value.equals("1") || value.equalsIgnoreCase("true")))
		 {
		 result = true;
		 }
	  return result;
   }   
}             

