// *****************************************************************************
// * IBM MQSeries Workflow XML Sample Scenario                                 *
// *****************************************************************************
//
//  Licensed Materials - Property of IBM
//  5697-FM3 5655-A96
//  (C) Copyright IBM Corp. 1999-2000
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
// *****************************************************************************
// *****************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
// *****************************************************************************
package com.ibm.workflow.sample.xml;

import com.ibm.workflow.upes.*;

class CreditApprovalSampleView extends javax.swing.JFrame {
	private CreditApprovalSampleListener ivjCreditApprovalSampleListener1 = null;
	private javax.swing.JPanel ivjJFrameContentPane = null;
	public UPES _upes;
	IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private javax.swing.JButton ivjDeregisterButton = null;
	private javax.swing.JButton ivjRegisterButton = null;
	private boolean ivjConnPtoP1Aligning = false;
	private javax.swing.JScrollPane ivjJScrollPane1 = null;
	private javax.swing.JList ivjJList1 = null;

class IvjEventHandler implements java.awt.event.ActionListener, java.awt.event.WindowListener, java.beans.PropertyChangeListener {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			if (e.getSource() == CreditApprovalSampleView.this.getRegisterButton()) 
				connEtoC1(e);
			if (e.getSource() == CreditApprovalSampleView.this.getDeregisterButton()) 
				connEtoC2(e);
			if (e.getSource() == CreditApprovalSampleView.this.getRegisterButton()) 
				connEtoM1(e);
			if (e.getSource() == CreditApprovalSampleView.this.getRegisterButton()) 
				connEtoM2(e);
			if (e.getSource() == CreditApprovalSampleView.this.getDeregisterButton()) 
				connEtoM3(e);
			if (e.getSource() == CreditApprovalSampleView.this.getDeregisterButton()) 
				connEtoM4(e);
		};
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource() == CreditApprovalSampleView.this.getJList1() && (evt.getPropertyName().equals("model"))) 
				connPtoP1SetTarget();
			if (evt.getSource() == CreditApprovalSampleView.this.getCreditApprovalSampleListener1() && (evt.getPropertyName().equals("logListing"))) 
				connPtoP1SetSource();
		};
		public void windowActivated(java.awt.event.WindowEvent e) {};
		public void windowClosed(java.awt.event.WindowEvent e) {};
		public void windowClosing(java.awt.event.WindowEvent e) {};
		public void windowDeactivated(java.awt.event.WindowEvent e) {};
		public void windowDeiconified(java.awt.event.WindowEvent e) {};
		public void windowIconified(java.awt.event.WindowEvent e) {};
		public void windowOpened(java.awt.event.WindowEvent e) {
			if (e.getSource() == CreditApprovalSampleView.this) 
				connEtoM5(e);
		};
	};
/**
 * CreditApprovalSampleView - Konstruktorkommentar.
 */
public CreditApprovalSampleView() {
	super();
	initialize();
}
/**
 * CreditApprovalSampleView - Konstruktorkommentar.
 * @param title java.lang.String
 */
public CreditApprovalSampleView(String title) {
	super(title);
}
/**
 * connEtoC1:  (RegisterButton.action.actionPerformed(java.awt.event.ActionEvent) --> CreditApprovalSampleView.registerButton_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoC1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.registerButton_ActionPerformed(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC2:  (DeregisterButton.action.actionPerformed(java.awt.event.ActionEvent) --> CreditApprovalSampleView.deregisterButton_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoC2(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.deregisterButton_ActionPerformed(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM1:  (RegisterButton.action.actionPerformed(java.awt.event.ActionEvent) --> DeregisterButton.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getDeregisterButton().setEnabled(true);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM2:  (RegisterButton.action.actionPerformed(java.awt.event.ActionEvent) --> RegisterButton.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM2(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getRegisterButton().setEnabled(false);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM3:  (DeregisterButton.action.actionPerformed(java.awt.event.ActionEvent) --> RegisterButton.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM3(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getRegisterButton().setEnabled(true);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM4:  (DeregisterButton.action.actionPerformed(java.awt.event.ActionEvent) --> DeregisterButton.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM4(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getDeregisterButton().setEnabled(false);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM5:  (CreditApprovalSampleView.window.windowOpened(java.awt.event.WindowEvent) --> CreditApprovalSampleView.setLocation(II)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM5(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.setLocation(1, 500);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP1SetSource:  (CreditApprovalSampleListener1.logentries <--> JTextPane1.text)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP1SetSource() {
	/* Die Quelle des Zielobjekts definieren */
	try {
		if (ivjConnPtoP1Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP1Aligning = true;
			getJList1().setModel(getCreditApprovalSampleListener1().getLogListing());
			// user code begin {2}
			// user code end
			ivjConnPtoP1Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP1Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP1SetTarget:  (CreditApprovalSampleListener1.logentries <--> JTextPane1.text)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP1SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		if (ivjConnPtoP1Aligning == false) {
			// user code begin {1}
			// user code end
			ivjConnPtoP1Aligning = true;
			getCreditApprovalSampleListener1().setLogListing((javax.swing.DefaultListModel)getJList1().getModel());
			// user code begin {2}
			// user code end
			ivjConnPtoP1Aligning = false;
		}
	} catch (java.lang.Throwable ivjExc) {
		ivjConnPtoP1Aligning = false;
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Comment
 */
public void deregisterButton_ActionPerformed(java.awt.event.ActionEvent actionEvent) {
	_upes.DeRegisterUPESListener(ivjCreditApprovalSampleListener1);
	return;
}
/**
 * Die Beschreibung der Methode hier eingeben.
 * Erstellungsdatum: (03.11.99 14:40:56)
 * @return UPES
 */
public UPES get_upes() {
	return _upes;
}
/**
 * Den Eigenschaftswert CreditApprovalSampleListener1 zurckgeben.
 * @return CreditApprovalSampleListener
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private CreditApprovalSampleListener getCreditApprovalSampleListener1() {
	if (ivjCreditApprovalSampleListener1 == null) {
		try {
			ivjCreditApprovalSampleListener1 = new CreditApprovalSampleListener();
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjCreditApprovalSampleListener1;
}
/**
 * Den Eigenschaftswert DeregisterButton zurckgeben.
 * @return javax.swing.JButton
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private javax.swing.JButton getDeregisterButton() {
	if (ivjDeregisterButton == null) {
		try {
			ivjDeregisterButton = new javax.swing.JButton();
			ivjDeregisterButton.setName("DeregisterButton");
			ivjDeregisterButton.setText("Deregister Listener");
			ivjDeregisterButton.setBounds(195, 371, 144, 25);
			ivjDeregisterButton.setEnabled(false);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjDeregisterButton;
}
/**
 * Den Eigenschaftswert JFrameContentPane zurckgeben.
 * @return javax.swing.JPanel
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private javax.swing.JPanel getJFrameContentPane() {
	if (ivjJFrameContentPane == null) {
		try {
			ivjJFrameContentPane = new javax.swing.JPanel();
			ivjJFrameContentPane.setName("JFrameContentPane");
			ivjJFrameContentPane.setLayout(null);
			getJFrameContentPane().add(getRegisterButton(), getRegisterButton().getName());
			getJFrameContentPane().add(getDeregisterButton(), getDeregisterButton().getName());
			getJFrameContentPane().add(getJScrollPane1(), getJScrollPane1().getName());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane;
}
/**
 * Den Eigenschaftswert JList1 zurckgeben.
 * @return javax.swing.JList
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private javax.swing.JList getJList1() {
	if (ivjJList1 == null) {
		try {
			ivjJList1 = new javax.swing.JList();
			ivjJList1.setName("JList1");
			ivjJList1.setModel(new javax.swing.DefaultListModel());
			ivjJList1.setBounds(0, 0, 160, 62);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJList1;
}
/**
 * Den Eigenschaftswert JScrollPane1 zurckgeben.
 * @return javax.swing.JScrollPane
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private javax.swing.JScrollPane getJScrollPane1() {
	if (ivjJScrollPane1 == null) {
		try {
			ivjJScrollPane1 = new javax.swing.JScrollPane();
			ivjJScrollPane1.setName("JScrollPane1");
			ivjJScrollPane1.setBounds(30, 76, 698, 262);
			getJScrollPane1().setViewportView(getJList1());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJScrollPane1;
}
/**
 * Den Eigenschaftswert RegisterButton zurckgeben.
 * @return javax.swing.JButton
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private javax.swing.JButton getRegisterButton() {
	if (ivjRegisterButton == null) {
		try {
			ivjRegisterButton = new javax.swing.JButton();
			ivjRegisterButton.setName("RegisterButton");
			ivjRegisterButton.setText("Register Listener");
			ivjRegisterButton.setBounds(30, 371, 144, 25);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjRegisterButton;
}
/**
 * Wird aufgerufen, wenn die Komponente eine Ausnahmebedingung bergibt.
 * @param exception java.lang.Throwable
 */
private void handleException(Throwable exception) {

	/* Entfernen Sie den Kommentar fr die folgenden Zeilen, um nicht abgefangene Ausnahmebedingungen auf der Standardausgabeeinheit (stdout) auszugeben */
	// System.out.println("--------- NICHT ABGEFANGENE AUSNAHMEBEDINGUNG ---------");
	// exception.printStackTrace(System.out);
}
/**
 * Initialisiert Verbindungen
 * @exception java.lang.Exception Die Beschreibung der Ausnahmebedingung.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void initConnections() throws Exception {
	// user code begin {1}
	// user code end
	getRegisterButton().addActionListener(ivjEventHandler);
	getDeregisterButton().addActionListener(ivjEventHandler);
	getJList1().addPropertyChangeListener(ivjEventHandler);
	getCreditApprovalSampleListener1().addPropertyChangeListener(ivjEventHandler);
	this.addWindowListener(ivjEventHandler);
	connPtoP1SetTarget();
}
/**
 * Die Klasse initialisieren.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void initialize() {
	try {
		// user code begin {1}
		// user code end
		setName("CreditApprovalSampleView");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setSize(751, 430);
		setTitle("Credit Approval UPES Sample");
		setContentPane(getJFrameContentPane());
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
	// user code end
}
/**
 * Haupteingangspunkt - Startet die Komponente, wenn sie als Anwendung ausgefhrt wird
 * @param args java.lang.String[]
 */
public static void main(java.lang.String[] args) {
	try {
		CreditApprovalSampleView aCreditApprovalSampleView;
		aCreditApprovalSampleView = new CreditApprovalSampleView();
		aCreditApprovalSampleView.addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				System.exit(0);
			};
		});
		aCreditApprovalSampleView.setVisible(true);
	} catch (Throwable exception) {
		System.err.println("In main() von javax.swing.JFrame trat eine Ausnahmebedingung auf");
		exception.printStackTrace(System.out);
	}
}
/**
 * Die Beschreibung der Methode hier eingeben.
 * Erstellungsdatum: (03.11.99 14:36:54)
 * @param u UPES
 */
public static void myMain(UPES u) {try {
		CreditApprovalSampleView aCreditApprovalSampleView;
		aCreditApprovalSampleView = new CreditApprovalSampleView();
		aCreditApprovalSampleView.addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				System.exit(0);
			};
		});
		aCreditApprovalSampleView.setVisible(true);
		//aCreditApprovalSampleView.setCreditApprovalSampleListener1(new CreditApprovalSampleListener());
		aCreditApprovalSampleView.set_upes(u);
		u.RegisterUPESListener(aCreditApprovalSampleView.getCreditApprovalSampleListener1());
	} catch (Throwable exception) {
		System.err.println("In main() von javax.swing.JFrame trat eine Ausnahmebedingung auf");
		exception.printStackTrace(System.out);
	}}
/**
 * Comment
 */
public void registerButton_ActionPerformed(java.awt.event.ActionEvent actionEvent) {
	_upes.RegisterUPESListener(ivjCreditApprovalSampleListener1);
	return;
}
/**
 * Die Beschreibung der Methode hier eingeben.
 * Erstellungsdatum: (03.11.99 14:40:56)
 * @param new_upes UPES
 */
public void set_upes(UPES new_upes) {
	_upes = new_upes;
}
}
