// *****************************************************************************
// * IBM MQSeries Workflow XML Sample Scenario                                 *
// *****************************************************************************
//
//  Licensed Materials - Property of IBM
//  5697-FM3 5655-A96
//  (C) Copyright IBM Corp. 1999-2000
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
// *****************************************************************************
// *****************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
// *****************************************************************************
package com.ibm.workflow.sample.xml;

class CreditSampleMainView extends javax.swing.JFrame {
	IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private javax.swing.JButton ivjJButton1 = null;
	private javax.swing.JPanel ivjJFrameContentPane = null;
	private javax.swing.JLabel ivjStatusText = null;
	private CreditApprovalSampleView ivjCreditApprovalSampleView1 = null;
	private javax.swing.JButton ivjJButton2 = null;
	private UPESView ivjUPESView = null;

class IvjEventHandler implements java.awt.event.ActionListener, java.awt.event.WindowListener, java.beans.PropertyChangeListener {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			if (e.getSource() == CreditSampleMainView.this.getJButton1()) 
				connEtoM1(e);
			if (e.getSource() == CreditSampleMainView.this.getJButton1()) 
				connEtoM2(e);
			if (e.getSource() == CreditSampleMainView.this.getJButton1()) 
				connEtoM3(e);
			if (e.getSource() == CreditSampleMainView.this.getJButton2()) 
				connEtoM6(e);
			if (e.getSource() == CreditSampleMainView.this.getJButton2()) 
				connEtoM7(e);
			if (e.getSource() == CreditSampleMainView.this.getJButton2()) 
				connEtoM8(e);
			if (e.getSource() == CreditSampleMainView.this.getJButton2()) 
				connEtoM11(e);
		};
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource() == CreditSampleMainView.this.getUPESView() && (evt.getPropertyName().equals("upes"))) 
				connPtoP1SetTarget();
		};
		public void windowActivated(java.awt.event.WindowEvent e) {};
		public void windowClosed(java.awt.event.WindowEvent e) {
			if (e.getSource() == CreditSampleMainView.this.getUPESView()) 
				connEtoM4(e);
			if (e.getSource() == CreditSampleMainView.this.getUPESView()) 
				connEtoM5(e);
			if (e.getSource() == CreditSampleMainView.this.getCreditApprovalSampleView1()) 
				connEtoM9(e);
			if (e.getSource() == CreditSampleMainView.this.getCreditApprovalSampleView1()) 
				connEtoM10(e);
		};
		public void windowClosing(java.awt.event.WindowEvent e) {};
		public void windowDeactivated(java.awt.event.WindowEvent e) {};
		public void windowDeiconified(java.awt.event.WindowEvent e) {};
		public void windowIconified(java.awt.event.WindowEvent e) {};
		public void windowOpened(java.awt.event.WindowEvent e) {};
	};
	private SchufaSampleListener ivjSchufaSampleListener1 = null;
/**
 * CreditSampleMainView - Konstruktorkommentar.
 */
public CreditSampleMainView() {
	super();
	initialize();
}
/**
 * CreditSampleMainView - Konstruktorkommentar.
 * @param title java.lang.String
 */
public CreditSampleMainView(String title) {
	super(title);
}
/**
 * connEtoM1:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> UPESView.show()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getUPESView().show();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM10:  (CreditApprovalSampleView1.window.windowClosed(java.awt.event.WindowEvent) --> StatusText.text)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM10(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getStatusText().setText("UPES Listener closed");
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM11:  (JButton2.action.actionPerformed(java.awt.event.ActionEvent) --> SchufaSampleListener1.register2UPES(LUPES;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM11(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getSchufaSampleListener1().register2UPES(getUPESView().getUpes());
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM2:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> StatusText.text)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM2(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getStatusText().setText("UPES was lauched");
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM3:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> JButton1.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM3(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getJButton1().setEnabled(false);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM4:  (UPESView.window.windowClosed(java.awt.event.WindowEvent) --> JButton1.enabled)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM4(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getJButton1().setEnabled(true);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM5:  (UPESView.window.windowClosed(java.awt.event.WindowEvent) --> StatusText.text)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM5(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getStatusText().setText("UPES was closed");
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM6:  (JButton2.action.actionPerformed(java.awt.event.ActionEvent) --> CreditApprovalSampleView1.show()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM6(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getCreditApprovalSampleView1().show();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM7:  (JButton2.action.actionPerformed(java.awt.event.ActionEvent) --> StatusText.text)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM7(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getStatusText().setText("Credit Sample UPES Listener Started");
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM8:  (JButton2.action.actionPerformed(java.awt.event.ActionEvent) --> JButton2.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM8(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getJButton2().setEnabled(false);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM9:  (CreditApprovalSampleView1.window.windowClosed(java.awt.event.WindowEvent) --> JButton2.enabled)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM9(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getJButton2().setEnabled(true);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP1SetTarget:  (UPESView.upes <--> CreditApprovalSampleView1._upes)
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connPtoP1SetTarget() {
	/* Das Ziel des Quellenobjekts definieren */
	try {
		getCreditApprovalSampleView1().set_upes(getUPESView().getUpes());
		// user code begin {1}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Den Eigenschaftswert CreditApprovalSampleView1 zurckgeben.
 * @return CreditApprovalSampleView
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private CreditApprovalSampleView getCreditApprovalSampleView1() {
	if (ivjCreditApprovalSampleView1 == null) {
		try {
			ivjCreditApprovalSampleView1 = new CreditApprovalSampleView();
			ivjCreditApprovalSampleView1.setName("CreditApprovalSampleView1");
			ivjCreditApprovalSampleView1.setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjCreditApprovalSampleView1;
}
/**
 * Den Eigenschaftswert JButton1 zurckgeben.
 * @return javax.swing.JButton
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private javax.swing.JButton getJButton1() {
	if (ivjJButton1 == null) {
		try {
			ivjJButton1 = new javax.swing.JButton();
			ivjJButton1.setName("JButton1");
			ivjJButton1.setText("Launch UPES ....");
			ivjJButton1.setBounds(19, 177, 166, 25);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJButton1;
}
/**
 * Den Eigenschaftswert JButton2 zurckgeben.
 * @return javax.swing.JButton
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private javax.swing.JButton getJButton2() {
	if (ivjJButton2 == null) {
		try {
			ivjJButton2 = new javax.swing.JButton();
			ivjJButton2.setName("JButton2");
			ivjJButton2.setText("Launch UPES Listener ...");
			ivjJButton2.setBounds(240, 178, 153, 25);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJButton2;
}
/**
 * Den Eigenschaftswert JFrameContentPane zurckgeben.
 * @return javax.swing.JPanel
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private javax.swing.JPanel getJFrameContentPane() {
	if (ivjJFrameContentPane == null) {
		try {
			ivjJFrameContentPane = new javax.swing.JPanel();
			ivjJFrameContentPane.setName("JFrameContentPane");
			ivjJFrameContentPane.setLayout(null);
			getJFrameContentPane().add(getJButton1(), getJButton1().getName());
			getJFrameContentPane().add(getStatusText(), getStatusText().getName());
			getJFrameContentPane().add(getJButton2(), getJButton2().getName());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane;
}
/**
 * Den Eigenschaftswert SchufaSampleListener1 zurckgeben.
 * @return SchufaSampleListener
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private SchufaSampleListener getSchufaSampleListener1() {
	if (ivjSchufaSampleListener1 == null) {
		try {
			ivjSchufaSampleListener1 = new SchufaSampleListener();
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjSchufaSampleListener1;
}
/**
 * Den Eigenschaftswert StatusText zurckgeben.
 * @return javax.swing.JLabel
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private javax.swing.JLabel getStatusText() {
	if (ivjStatusText == null) {
		try {
			ivjStatusText = new javax.swing.JLabel();
			ivjStatusText.setName("StatusText");
			ivjStatusText.setFont(new java.awt.Font("dialog", 1, 24));
			ivjStatusText.setText("Sample Starter ready .....");
			ivjStatusText.setBounds(18, 23, 596, 74);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjStatusText;
}
/**
 * Den Eigenschaftswert UPESView zurckgeben.
 * @return UPESView
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private UPESView getUPESView() {
	if (ivjUPESView == null) {
		try {
			ivjUPESView = new UPESView();
			ivjUPESView.setName("UPESView");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjUPESView;
}
/**
 * Wird aufgerufen, wenn die Komponente eine Ausnahmebedingung bergibt.
 * @param exception java.lang.Throwable
 */
private void handleException(Throwable exception) {

	/* Entfernen Sie den Kommentar fr die folgenden Zeilen, um nicht abgefangene Ausnahmebedingungen auf der Standardausgabeeinheit (stdout) auszugeben */
	// Tracer.trace("--------- NICHT ABGEFANGENE AUSNAHMEBEDINGUNG ---------");
	// exception.printStackTrace(System.out);
}
/**
 * Initialisiert Verbindungen
 * @exception java.lang.Exception Die Beschreibung der Ausnahmebedingung.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void initConnections() throws Exception {
	// user code begin {1}
	// user code end
	getJButton1().addActionListener(ivjEventHandler);
	getUPESView().addWindowListener(ivjEventHandler);
	getJButton2().addActionListener(ivjEventHandler);
	getCreditApprovalSampleView1().addWindowListener(ivjEventHandler);
	getUPESView().addPropertyChangeListener(ivjEventHandler);
	connPtoP1SetTarget();
}
/**
 * Die Klasse initialisieren.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void initialize() {
	try {
		// user code begin {1}
		// user code end
		setName("CreditSampleMainView");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setSize(633, 240);
		setTitle("Credit Sample Starter View");
		setContentPane(getJFrameContentPane());
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
	// user code end
}
/**
 * Haupteingangspunkt - Startet die Komponente, wenn sie als Anwendung ausgefhrt wird
 * @param args java.lang.String[]
 */
public static void main(java.lang.String[] args) {
	try {
		CreditSampleMainView aCreditSampleMainView;
		aCreditSampleMainView = new CreditSampleMainView();
		aCreditSampleMainView.addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				System.exit(0);
			};
		});
		aCreditSampleMainView.setVisible(true);
	} catch (Throwable exception) {
		System.err.println("In main() von javax.swing.JFrame trat eine Ausnahmebedingung auf");
		exception.printStackTrace(System.out);
	}
}
}
