@ECHO OFF

REM BEGIN CMVC
REM *************************************************************************
REM 
REM   Workfile: %W%
REM   Last update: %E% %U%
REM   SCCS path, id: %F% %I%
REM 
REM ************************************************************************/
REM CMVC
REM COPYRIGHT
REM *************************************************************************
REM 
REM   Licensed Materials - Property of IBM
REM   WA82 SupportPac
REM   (c) Copyright IBM Corp. 2000
REM   US Government Users Restricted Rights - Use, duplication or
REM   disclosure restricted by GSA ADP Schedule Contract
REM   with IBM Corp.
REM 
REM ************************************************************************/
REM END COPYRIGHT
REM BEGIN DISCLAIMER
REM *************************************************************************
REM   DISCLAIMER
REM   ----------
REM   This material contains programming source code for your consideration.
REM   These examples have not been thoroughly tested under all conditions.
REM   IBM, therefore, cannot guarantee or imply reliability, serviceability,
REM   or function of these programs.
REM   ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
REM   WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
REM   NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
REM   FOR A PARTICULAR PURPOSE.
REM ************************************************************************/
REM END DISCLAIMER

REM ------------------------------------------------
REM -- This script is called by all other scripts --
REM -- Adapt to your specific environment         --
REM ------------------------------------------------

REM Set to the toplevel directory of your JDK installation
REM ------------------------------------------------------
set JAVA_HOME=c:\jdk1.3

REM Set to the toplevel directory of your MQWF 3.3 installation
REM Note: Only needed if life cycle operations suspend, resume
REM       terminate are used
REM Use DOS 8.3 short name conventions: 'C:\Progra~1\MQSeri~1' 
REM -----------------------------------------------------------
set MQWF_HOME=c:\Progra~1\MQSeri~1

REM Set to the Workflow user you are using to run the sample
REM -----------------------------------------------------------
set MQWF_USER=USER
set MQWF_PASSWORD=password

REM Set to the toplevel directory of your MQSeries installation
REM -----------------------------------------------------------
REM If MQSeries is installed in 'C:\Program Files\MQSeries' use
REM the DOS 8.3 short name: 'C:\Progra~1\MQSeries'
set MQ_HOME=c:\Progra~1\MQSeries


